> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendkit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List suppressions

> Retrieve a paginated list of all suppressed email addresses.



## OpenAPI

````yaml GET /suppressions
openapi: 3.1.0
info:
  title: SendKit API
  description: The SendKit API allows you to send transactional emails programmatically.
  version: 1.0.0
servers:
  - url: https://api.sendkit.dev
security:
  - bearerAuth: []
paths:
  /suppressions:
    get:
      tags:
        - Suppressions
      summary: List suppressions
      description: Retrieve a paginated list of all suppressed email addresses.
      operationId: listSuppressions
      responses:
        '200':
          description: A paginated list of suppression entries
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSuppressions'
        '401':
          description: Unauthorized — missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PaginatedSuppressions:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Suppression'
        links:
          $ref: '#/components/schemas/PaginationLinks'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    ErrorResponse:
      type: object
      properties:
        name:
          type: string
          description: Error type identifier.
          example: validation_error
        message:
          type: string
          description: Human-readable error message.
          example: The from address domain is not verified.
    Suppression:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the suppression entry.
        email:
          type: string
          format: email
          description: The suppressed email address.
        reason:
          type:
            - string
            - 'null'
          enum:
            - manual
            - bounce
            - complaint
            - null
          description: The reason the email was suppressed.
        created_at:
          type: string
          description: When the entry was created.
          example: '2026-03-03 10:00:00'
        updated_at:
          type: string
          description: When the entry was last updated.
          example: '2026-03-03 10:00:00'
      required:
        - id
        - email
        - created_at
        - updated_at
    PaginationLinks:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: URL to the first page.
          example: https://api.sendkit.dev/contacts?page=1
        last:
          type:
            - string
            - 'null'
          description: URL to the last page.
          example: https://api.sendkit.dev/contacts?page=3
        prev:
          type:
            - string
            - 'null'
          description: URL to the previous page, or null if on the first page.
          example: null
        next:
          type:
            - string
            - 'null'
          description: URL to the next page, or null if on the last page.
          example: https://api.sendkit.dev/contacts?page=2
    PaginationMeta:
      type: object
      properties:
        current_page:
          type: integer
          description: The current page number.
          example: 1
        from:
          type:
            - integer
            - 'null'
          description: The index of the first item on the current page.
          example: 1
        last_page:
          type: integer
          description: The last available page number.
          example: 3
        per_page:
          type: integer
          description: The number of items per page.
          example: 25
        to:
          type:
            - integer
            - 'null'
          description: The index of the last item on the current page.
          example: 25
        total:
          type: integer
          description: The total number of items.
          example: 75
        path:
          type: string
          description: The base URL for the paginated resource.
          example: https://api.sendkit.dev/contacts
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key from your SendKit dashboard. Pass it as a Bearer token in the
        Authorization header.

````